POST V1/Projects.{ext}/Project

Create Project

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Projects.Entities.Project
NameDescriptionTypeAdditional information
ProjectName

No description available

string

None.

ProjectOwner

No description available

string

None.

ProjectSponsor

No description available

string

None.

ProjectSummary

No description available

string

None.

ProjectId

No description available

string

None.

ProjectStatus

No description available

string

None.

Comments

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "projectName": "sample string 1",
  "projectOwner": "sample string 2",
  "projectSponsor": "sample string 3",
  "projectSummary": "sample string 4",
  "projectId": "sample string 5",
  "projectStatus": "sample string 6",
  "comments": "sample string 7"
}

application/xml, text/xml

Sample:
<Project xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Projects.Entities">
  <Comments>sample string 7</Comments>
  <ProjectId>sample string 5</ProjectId>
  <ProjectName>sample string 1</ProjectName>
  <ProjectOwner>sample string 2</ProjectOwner>
  <ProjectSponsor>sample string 3</ProjectSponsor>
  <ProjectStatus>sample string 6</ProjectStatus>
  <ProjectSummary>sample string 4</ProjectSummary>
</Project>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Projects.Entities.ProjectAssessmentDetails
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Projects.Entities.ProjectAssessmentDetails

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "ProjectAssessmentDetails",
  "response": {
    "siteId": 1,
    "siteNbr": "sample string 2",
    "internalScore": "sample string 3",
    "externalScore": "sample string 4",
    "totalSpend": "sample string 5",
    "electricUsage": "sample string 6",
    "electricDemand": "sample string 7",
    "gasUsage": "sample string 8",
    "waterUsage": "sample string 9",
    "erElectric": "sample string 10",
    "erGas": "sample string 11",
    "erWater": "sample string 12",
    "loadFactor": "sample string 13",
    "energyMBTU": "sample string 14",
    "kwhPerDay": "sample string 15",
    "kwPerDay": "sample string 16",
    "galPerDay": "sample string 17",
    "dthPerDay": "sample string 18",
    "kwhPerSFT": "sample string 19",
    "kwPerSFT": "sample string 20",
    "dthPerSFT": "sample string 21",
    "galPerSFT": "sample string 22",
    "kbtuPerSFT": "sample string 23",
    "division": "sample string 24",
    "siteEUI": "sample string 25",
    "appliedFilters": "sample string 26",
    "failedFilters": "sample string 27",
    "prequalificationDetId": "sample string 28",
    "siteExternalScore": "sample string 29"
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.